import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import { renderless, api } from '@opentinyvue/vue-renderless/load-list/vue';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["load", "update:error", "update:loading"],
  props: [].concat(props, ["direction", "offset", "disabled", "scroller", "immediateCheck", "error", "errorText", "loading", "loadingText", "finished", "finishedText", "delay"]),
  components: {},
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    attrs: {
      "data-tag": "tiny-load-list",
      "role": "feed",
      "aria-busy": _vm.state.loading
    }
  }, [_vm.direction === "down" ? [_vm._t("default")] : _c("div", {
    ref: "placeholder",
    attrs: {
      "data-tag": "tiny-load-list__placeholder"
    }
  }), _vm.state.loading ? _c("div", {
    staticClass: "flex justify-center items-center",
    attrs: {
      "data-tag": "tiny-load-list__loading"
    }
  }, [_vm._t("loading", function() {
    return [_c("span", [_vm._v(_vm._s(_vm.loadingText))])];
  })], 2) : _vm._e(), _vm.finished ? _c("div", {
    staticClass: "flex justify-center items-center",
    attrs: {
      "data-tag": "tiny-load-list__finished-text"
    }
  }, [_vm._t("finished", function() {
    return [_c("span", [_vm._v(_vm._s(_vm.finishedText))])];
  })], 2) : _vm._e(), _vm.error ? _c("div", {
    staticClass: "flex justify-center items-center",
    attrs: {
      "role": "button",
      "data-tag": "tiny-load-list__error-text",
      "tabindex": "0"
    },
    on: {
      "click": _vm.clickErrorText
    }
  }, [_vm._t("error", function() {
    return [_c("span", [_vm._v(_vm._s(_vm.errorText))])];
  })], 2) : _vm._e(), _vm.direction === "up" ? [_vm._t("default")] : _c("div", {
    ref: "placeholder",
    attrs: {
      "data-tag": "tiny-load-list__placeholder"
    }
  })], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
